## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           qkontrol
Version:        0.2.3^20210403gb478fd9
Release:        %autorelease
Summary:        An application to configure Native Instruments Komplete Kontrol MK2 keyboards

%global forgeurl https://github.com/GoaSkin/qKontrol
# also possible so set global `tag` or remove for auto
%global commit b478fd9818c1b01c695722762e6d55a9b2e0228e
%forgemeta

License:        LGPLv2
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  make
# libraries:
BuildRequires:  hidapi-devel
BuildRequires:  libusb1-devel

%description
qKontrol is a Linux / macOS application to configure Native Instruments
Komplete Kontrol MK2 keyboards.

With this software it is possible to configure MIDI CCs assigned to all knobs,
buttons, sliders, wheels and pedals, to split the keyboard into zones and to
display assignments, CC values and custom images on the two displays.
Furthermore, it offers a possibility to communicate with Bitwig Studio (incl.
the Linux version) and maybe other DAWs the start and stop playback and
recording, to turn on and of looping and the metronome and to fetch and display
information about the currently selected track and plugin names as well as the
song position.

qKontrol is an open 3rd party application. It does not depend on any drivers or
software provided by Native Instruments and comes with it's completely own
codebase.

Native Instruments is not responsible for this software in any way. If you need
to get support, please ask the community!


%prep
%forgeautosetup


%build
%{set_build_flags}
cd source
%{qmake_qt5}
%make_build


%install
cd source
install -Dpm 755 qkontrol -t %{buildroot}/%{_bindir}/
install -Dpm 644 79-udev-komplete.rules -t %{buildroot}/%{_usr}/lib/udev/rules.d/
# above copied from moby-engine


%files
%{_bindir}/qkontrol
%{_usr}/lib/udev/rules.d/79-udev-komplete.rules
%license LICENSE
%doc README.md


%changelog
* Thu Mar 31 2022 Philip Matura <pfed@tura-home.de> - 0.2.3^20210403gb478fd9-1
- First Build
